Skip to main content
PUT
Update Model By Path

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

model_id
string
required

Body

application/json

Model update request schema

category
string | null
model_provider
string | null
model_name
string | null
api_key
string | null
base_url
string | null
temperature
number | null
dimension
integer | null
description
string | null
abilities
string[] | null
share_with_users
boolean | null
language
string | null
voice
string | null
format
string | null
sample_rate
integer | null

Response

Successful Response

Model response with user access information

id
integer
required
model_id
string
required
category
string
required
model_provider
string
required
model_name
string
required
base_url
string | null
required
temperature
number | null
required
dimension
integer | null
required
abilities
string[] | null
required
description
string | null
required
created_at
string | null
required
updated_at
string | null
required
is_active
boolean
required
is_owner
boolean
required
can_edit
boolean
required
can_delete
boolean
required
is_shared
boolean
required